
QGIS Application - Bug report #7130

ftools api error

2013-02-09 10:57 AM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: ubuntu Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16199

Description

trying to generate a vector grid with ftools:

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/fTools/tools/doVectorGrid.py", line 148, in accept

    self.compute( boundBox, xSpace, ySpace, polygon )

  File "/usr/share/qgis/python/plugins/fTools/tools/doVectorGrid.py", line 173, in compute

    writer = QgsVectorFileWriter(self.shapefileName, self.encoding, fields, QGis.WKBPolygon, crs)

TypeError: arguments did not match any overloaded call:

  QgsVectorFileWriter(QString, QString, QgsFields, QGis.WkbType, QgsCoordinateReferenceSystem, QString

driverName="ESRI Shapefile", QStringList datasourceOptions=QStringList(), QStringList layerOptions=QStringList(), QString

newFilename=None): argument 3 has unexpected type 'dict'

  QgsVectorFileWriter(QgsVectorFileWriter): argument 1 has unexpected type 'unicode'

Python version:

2.7.3 (default, Sep 26 2012, 21:53:55) 

[GCC 4.7.2]

QGIS version:

1.9.0-Master Master, exported

Related issues:

Duplicates QGIS Application - Bug report # 7055: All plugins report python er... Closed 2013-01-27

Associated revisions

Revision 92cbf8f5 - 2013-02-09 08:59 PM - Jürgen Fischer

ftools api update (fixes #7130)

History

#1 - 2013-02-09 12:00 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"92cbf8f506357ca804d20e8b09b2ae8f372ae3a4".

#2 - 2013-02-09 12:01 PM - Jürgen Fischer
- Resolution set to fixed

- Subject changed from ftools unicode error to ftools api error

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
